<template>
  <div>
    <div class="my_domain__verify">
      <span class="desc">*Please go to admin panel of your domain service provider and add all
          of these records to DNS section. After this, press on “Verify my domain”
          button.</span>
    </div>
    <Table :items="tableItems"  :domain="domain" :validationResult="validationResult" v-if="tableItems.length"/>
    <div class="my_domain__verify">
      <Button
        title="Verify my domain"
        :loading="loading"
        class="btn"
        @onClick="$emit('next')"
      />
    </div>
  </div>
</template>

<script>
import Table from "./Table.vue";
import Button from "@/components/elements/ButtonLoader.vue";

export default {
  props: ["loading", "items", "validationResult", "domain"],
  components: {
    Table,
    Button,
  },
  data() {
    return {
      tableItems: [],
    }
  },
  async created() {
    for(const key in this.items.dns) {
      this.tableItems.push(this.items.dns[key])
    }
  }
};
</script>

<style scoped lang="scss">
@import "../../../../../../css/settings/index.scss";
.my_domain__verify {
  .btn {
    margin-bottom: 10px;
    margin-left: auto;
  }
}
</style>
